Subject: bug#719: Crash opening UNC file

From: "john naegle" <[email-masked]>
Date: Thu, 14 Aug 2008 11:00:59 -0400

Whenever I try to open a file on a share on another computer, emacs crashes.

For instance, trying to open the file: "\\server\software\file.txt"
causes a crash.  This happens if I use find-file, drag a file onto
emacs, or double click to open a file on a hidden network share.

If I double-escape all the backslashes, I still get the crash, eg:
emacs \\\\server\\software\\file.txt

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
c:/Program Files/emacs-22.2/etc/DEBUG for instructions.

bt full:
--------------------------------------------------------------------------------
Load new symbol table from "/cygdrive/c/Program Files/emacs-22.2/bin/emacs.exe"?
 (y or n) y
Reading symbols from /cygdrive/c/Program Files/emacs-22.2/bin/emacs.exe...done.
Loaded symbols for /cygdrive/c/WINNT/system32/NTDLL.DLL
Loaded symbols for /cygdrive/c/WINNT/system32/ADVAPI32.DLL
Loaded symbols for /cygdrive/c/WINNT/system32/KERNEL32.DLL
Loaded symbols for /cygdrive/c/WINNT/system32/rpcrt4.dll
Loaded symbols for /cygdrive/c/WINNT/system32/secur32.dll
Loaded symbols for /cygdrive/c/WINNT/system32/comctl32.dll
Loaded symbols for /cygdrive/c/WINNT/system32/GDI32.DLL
Loaded symbols for /cygdrive/c/WINNT/system32/USER32.DLL
Loaded symbols for /cygdrive/c/WINNT/system32/comdlg32.dll
Loaded symbols for /cygdrive/c/WINNT/system32/SHLWAPI.DLL
Loaded symbols for /cygdrive/c/WINNT/system32/msvcrt.dll
Loaded symbols for /cygdrive/c/WINNT/system32/SHELL32.DLL
Loaded symbols for /cygdrive/c/WINNT/system32/mpr.dll
Loaded symbols for /cygdrive/c/WINNT/system32/OLE32.DLL
Loaded symbols for /cygdrive/c/WINNT/system32/winmm.dll
Loaded symbols for /cygdrive/c/WINNT/system32/winspool.drv
Loaded symbols for /cygdrive/c/WINNT/system32/MSCTF.DLL
Loaded symbols for /cygdrive/c/Program Files/emacs-22.2/bin/libXpm.dll
Loaded symbols for /cygdrive/c/WINNT/system32/crtdll.dll
Loaded symbols for /cygdrive/c/WINNT/system32/OLEAUT32.DLL
[Switching to thread 3636.0x8d4]
(gdb) bt full
#0  0x77f9193d in ntdll!DbgUiConnectToDbg ()
   from /cygdrive/c/WINNT/system32/NTDLL.DLL
No symbol table info available.
#1  0x7c57fecd in KERNEL32!DebugActiveProcess ()
   from /cygdrive/c/WINNT/system32/KERNEL32.DLL
No symbol table info available.
#2  0x7c57b3bc in lstrcmpiW () from /cygdrive/c/WINNT/system32/KERNEL32.DLL
No symbol table info available.
#3  0x00000000 in ?? ()
No symbol table info available.

In GNU Emacs 22.2.1 (i386-mingw-nt5.0.2195)
 of 2008-03-26 on RELEASE
Windowing system distributor `Microsoft Corp.', version 5.0.2195
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: C++/l

Minor modes in effect:
  fast-lock-mode: t
  encoded-kbd-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:

Recent messages:
Loading semantic-c...done
File mode specification error: (error "Autoloading failed to define
function semantic-default-c-setup")
Loading vc-svn...done
Loading vc...done
Mark saved where search started
Mark set [2 times]
Making completion list...
Loading eieio-opt...done
Making completion list...
Loading emacsbug...done